Get Configuration User by ID
curl --request GET \
--url https://api.leen.dev/v1/configuration/users/{user_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-CONNECTION-ID: <api-key>'import requests
url = "https://api.leen.dev/v1/configuration/users/{user_id}"
headers = {
"X-API-KEY": "<api-key>",
"X-CONNECTION-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'X-CONNECTION-ID': '<api-key>'}
};
fetch('https://api.leen.dev/v1/configuration/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_data": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"vendor": "AIKIDO",
"vendor_user_id": "<string>",
"email": "<string>",
"last_login": "2023-11-07T05:31:56Z",
"username": "<string>"
}{
"code": "<string>",
"detail": [
{}
],
"message": "<string>",
"type": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Configuration
Get Configuration User by ID
Return a User who has access to a connection source by ID (Leen’s UUID).
GET
/
configuration
/
users
/
{user_id}
Get Configuration User by ID
Path Parameters
Response
Successful Response
Configuration User's Access Data, includes roles and other information
Leen UUID for the configuration user
Configuration First Name and Last Name
Source vendor
Available options:
AIKIDO, ARNICA, TENABLE, QUALYS, SNYK, CROWDSTRIKE, CROWDSTRIKE_SPOTLIGHT, MS_DEFENDER_CLOUD, MS_DEFENDER_ENDPOINT, MS_DEFENDER_VMS, MS_DEFENDER_VMS_GCC_HIGH, SENTINELONE, SENTINELONE_VMS, SEMGREP, INSIGHTVM, AWS_SECURITYHUB, LACEWORK_CSPM, MS_ENTRA, AWS_INSPECTOR2, AWS_ACCESS_ANALYSER, AWS_GUARDDUTY, OKTA_IDP, WIZ_VMS, WIZ_CODE, WIZ_CSPM, GITLAB, TANIUM_VMS, UPWIND, CHECKMARX, MEND, ORCA, GITHUB, HEELER, SERVICENOW, SERVICENOW_VR, BLACK_KITE, BIT_SIGHT, JIRA, SECURITY_SCORECARD, PROCESSUNITY, SERVICENOW_ITSM, SONARQUBE, BLACK_DUCK_COVERITY, BLACK_DUCK_SCA, SOCKET, MS_INTUNE, PROOFPOINT_TAP Configuration User's ID in the source vendor
Configuration User's Email
Configuration User's Last Login time
Configuration User's Username